# -*- encoding: utf-8 -*-
# stub: azure_mgmt_peering 0.17.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_peering".freeze
  s.version = "0.17.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2019-08-01-preview".freeze, "lib/2019-08-01-preview/generated".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/legacy_peerings.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/bgp_session.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/check_service_provider_availability_input.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/connection_state.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/contact_info.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/direct_connection.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/direct_peering_facility.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/direct_peering_type.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/error_response.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/exchange_connection.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/exchange_peering_facility.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/family.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/kind.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/learned_type.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/name.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/operation.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/operation_display_info.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/operation_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peer_asn.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peer_asn_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_bandwidth_offer.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_location.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_location_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_location_properties_direct.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_location_properties_exchange.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_properties_direct.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_properties_exchange.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_location.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_location_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_prefix.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_prefix_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_provider.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_service_provider_list_result.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/peering_sku.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/prefix_validation_state.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/provisioning_state.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/resource.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/resource_tags.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/session_address_provider.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/session_state_v4.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/session_state_v6.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/size.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/sub_resource.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/tier.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/models/validation_state.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/module_definition.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/operations.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peer_asns.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peering_client.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peering_locations.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peering_service_locations.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peering_service_prefixes.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peering_service_providers.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peering_services.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/peerings.rb".freeze, "lib/2019-08-01-preview/generated/azure_mgmt_peering/prefixes.rb".freeze, "lib/azure_mgmt_peering.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/peering_profile_module.rb".freeze, "lib/profiles/latest/peering_latest_profile_client.rb".freeze, "lib/profiles/latest/peering_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Peering".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
